blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
9fd42b30502e3280ba7873b49fbc7b2b54e42c80
Shell
pfarrell/emr-scripts
/bin/get_logs.sh
UTF-8
188
2.859375
3
[]
no_license
#! /bin/bash job=$1 case "$job" in last) job=`emr --list --state COMPLETED 2>/dev/null| head -1 | sed -e 's: .*::g'`;; esac s3cmd get -r "${HADOOP_LOG_DIR}/$job" logs open logs/$job
true
81a6652f26f9ff8d2efc3240ed7a27018ee605fa
Shell
aceburgess/monitor-packets-scripts
/monitor-mode.sh
UTF-8
238
3.078125
3
[]
no_license
#! /bin/bash ifconfig wlan0 down && iw dev wlan0 set type monitor && ifconfig wlan0 up echo "You're entering Monitor Mode on wlan0" while [ 1 ]; do for CHANUM in {1..11}; do iwconfig wlan0 channel $CHANUM sleep 1 done done
true
5dd86dd4549bc120fd7e5c34bcafa29e3f800577
Shell
VeriBlock/samples
/scripts/docker_nodecore_bootstrap.sh
UTF-8
2,588
4.3125
4
[ "MIT" ]
permissive
#!/usr/bin/env bash echo "This script will generate a directory, install the latest nodecore bootstrap, and start a docker image which will start nodecore. Make sure you are running this as root!" read -p "Continue (y/n)?" choice case "$choice" in y|Y ) echo "yes";; n|N ) exit 0;; * ) exit 0;; esac LATEST_BOOT...
true
656ac5d50422bcb629cf493c9077c4159e559a41
Shell
gemichelst/changeDate.app
/CreateAPP
UTF-8
1,194
3.4375
3
[]
no_license
#!/bin/bash # copy icons, plist and gtouch APP_NAME=changeDate DIR_CURRENT=`pwd` echo "current-dir: $DIR_CURRENT" if [ ! -d "$DIR_CURRENT/APP/$APP_NAME.app" ]; then echo "APP-DIR: [failed]" exit 0 fi echo "APP-DIR: [OK]" if [ ! -d "$DIR_CURRENT/SRC" ]; then echo "SRC-DIR: [failed]" exit 0 fi...
true
5b5911ca8f405d7744c21d2d3031bdd74b54a5b5
Shell
naggenius/BIP
/BIP_App-master/UX/batch/shell/MANNUEL/alimsuivijhr.sh
ISO-8859-1
1,590
2.796875
3
[]
no_license
#!/bin/ksh #_______________________________________________________________________________ # Application Base d'Informations Projets # Nom du fichier : alimsuivijhr.sh # Objet : Shell batch alimsuivijhr (tous les traitements mensuels) # Shell d'alimentation de la table suivijhr qui sert pour l'\351dition du sui...
true
2dd51d9861590dc2bc7b2e33ee86551bc4fdbf94
Shell
gnoliyil/fuchsia
/src/devices/tools/fidlgen_banjo/regen_banjo_tests.sh
UTF-8
4,380
2.9375
3
[ "BSD-2-Clause" ]
permissive
#!/bin/bash # Copyright 2020 The Fuchsia Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. set -e if [[ ! -d "${FUCHSIA_BUILD_DIR}" ]]; then echo "FUCHSIA_BUILD_DIR environment variable not a directory; are you running under fx exec?"...
true
0597835370438b495f38fde4ee9fafed32a31431
Shell
Ner0/arch-pantheon
/Unstable/pantheon-dock/PKGBUILD
UTF-8
1,265
2.859375
3
[]
no_license
# Maintainer: Ner0 pkgname=pantheon-dock-bzr pkgver=704 pkgrel=1 pkgdesc="The dock for elementary Pantheon, built on the awesome foundation of Plank." arch=('i686' 'x86_64') url="https://launchpad.net/pantheon-dock" license=('GPL3') groups=('pantheon') depends=('bamf' 'glib2' 'gtk3' 'libgee' 'libwnck3' 'libx11' 'pytho...
true
33894ddf460d04340290ba682e2acc8c9dcee901
Shell
smartqubit/rhsso-with-ext-postgresql-db-cli
/cleanup.sh
UTF-8
785
2.765625
3
[]
no_license
#!/usr/bin/env bash #EXIT ON ERROR #set -e BASEDIR=$(dirname "$0") . ${BASEDIR}/sso_env.sh rm ${CACERT_FILENAME} ${CAKEY_FILENAME} *.srl ${HTTPS_KEYSTORE_FILENAME} ${JGROUPS_ENCRYPT_KEYSTORE} ${SSOCERT} ${SSOSIGNREQ} ${SSO_TRUSTSTORE_FILENAME} echo "switch to ${SSO_NAMESPACE} project" error=$(oc project ${SSO_NAME...
true
0d614e7ce5809cc6245b3aa02ad3bd80a5ddffed
Shell
LunaNyan/my_little_server_ubuntu
/setup.sh
UTF-8
3,717
2.890625
3
[]
no_license
#!/bin/bash # Load config . config.sh # first, remember current directory, then go to your glorious home cwd=$(pwd) cd ~ # Make minimal home structure mkdir apps workspace # Update sudo apt update sudo apt upgrade -y # Install essential packages sudo apt install htop nano zsh wget python3-dev pyth...
true
f6b5864c9fefd917d4959a3a4cc17778b2c1127d
Shell
FutureApp/a-bench
/admin.sh
UTF-8
12,783
3.5
4
[ "MIT" ]
permissive
#!/usr/bin/env bash #@ Author: Michael Czaja <michael-czaja-arbeit@hotmail.de> LB='\033[1;34m' RR='\033[1;31m' NC='\033[0m' # No Color bench_tag=${LB}[A-Bench]${NC} home_framework=$(pwd) home_bench_sub_bigbench=$home_framework/submodules/bigbenchv2 home_container_bench=/bigbenchv2 # all functions calls are indicate...
true
583111899f21d03963ccd95539f728f173fa8610
Shell
jaanos/misc
/ubuntu/desktop/desktop.sh
UTF-8
4,709
3.609375
4
[ "MIT" ]
permissive
#!/bin/bash # resolucija laptopa LAPW=1440 LAPH=900 # outputi LVDS=LVDS1 VGA=VGA1 # default vrednosti DEBUG="" STARTUP=0 FORCE=0 while true; do case "$1" in debug) # debug mode DEBUG="echo";; startup) # startup mode STARTUP=1;; force) ...
true
e25505728d6268e1c5c8553ece78763676a969c9
Shell
jonipham/WZanalysis_release21
/XAMPPbase/test/test_mc_ttbar_syst.sh
UTF-8
2,065
3.375
3
[]
no_license
#!/bin/bash ############################## # Setup # ############################## # prepare AthAnalysis or build if not already done so if [ -f /xampp/build/${AthAnalysis_PLATFORM}/setup.sh ]; then if [[ -z "${TestArea}" ]]; then export TestArea=/xampp/XAMPPbase fi source /x...
true
3df9bf4ae0264f0a761dcf6fbd34a29ea95ece90
Shell
B3nedikt/docker-flutter-android
/scripts/replace_version_function.sh
UTF-8
474
3.25
3
[ "MIT" ]
permissive
#!/usr/bin/env bash replace_version() { new_version=$1 sed -i '' "s#ENV FLUTTER_VERSION=\"v.*\"#ENV FLUTTER_VERSION=\"$new_version\"#g" Dockerfile sed -i '' "s#gableroux/flutter:.* #gableroux/flutter:$new_version #g" README.md git add Dockerfile git add README.md git commit -m "Set version to ...
true
baefd641fd18ccfff97d569dbf33958f48fa1715
Shell
workjalexanderfox/map-host
/lib/common.sh
UTF-8
1,500
3.609375
4
[]
no_license
#! /bin/bash export RED='\033[31m' #error export YELLOW='\033[33m' #warn export GREEN='\033[0;32m' #info export BLUE='\033[36m' #log export INDIGO='\033[0;34m' #debug export VIOLET='\033[35m' #special export NC='\033[0m' COLS=$( tput cols ) color() { echo -e "${!1}${@:2}${NC}" } # ...
true
c03df92d6835c800a91fe8c84d7f4460b5644eae
Shell
kevinLee1984/VbirdsLinuxShell
/ch13p01.sh
UTF-8
347
3
3
[]
no_license
#!/bin/bash #Filename:ch13p01.sh # Program # show whoami and print the dictory where is # #History #2016/02/01 Kevin First release ##envirment path 环境变量 PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin export PATH whoami=$(whoami) dict=$(pwd) echo "My username is $whoami. " echo "...
true
450141c970a38bfbfbcd51c2f3d274bd0f4c54f3
Shell
nonameentername/pybullet-android
/lib_build/make.sh
UTF-8
876
3.203125
3
[]
no_license
#!/usr/bin/env bash here=`dirname $0` system=`uname` arch=`python -c "from sys import maxint; print 'x86' if maxint == 0x7fffffff else 'x64'"` bullet=$here/../bullet-2.75-rc7/src dynamics=$bullet/BulletDynamics/libBulletDynamics.a collision=$bullet/BulletCollision/libBulletCollision.a math=$bullet/LinearMath/libLinea...
true
03b94fc330b9f254cb6f21da6755b93feae226e3
Shell
OSGP/open-smart-grid-platform
/osgp/protocol-adapter-dlms/osgp-protocol-simulator-dlms/simulator/startSmr51DeviceSimulator.sh
UTF-8
825
3.359375
3
[ "Apache-2.0", "GPL-3.0-only", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash # SPDX-FileCopyrightText: Contributors to the GXF project # # SPDX-License-Identifier: Apache-2.0 JARTOSTART=dlms-device-simulator/target/dlms-device-simulator-5.1.0-SNAPSHOT-standalone.jar PORT=1028 usage() { echo "Usage: $0 [OPTIONS]" echo ' ' echo 'Possible OPTIONS:' echo ' -j <jar to start> T...
true
dc8281ce550d272f1ea28e13cec515885d9e5748
Shell
praful-parmar/steps
/scripts/push_img
UTF-8
249
2.53125
3
[]
no_license
#!/bin/bash IMAGE="test" pass=$1 echo "loggggginnnnnnnnnning in" docker login -u praful1997 -p $pass echo "taaaaaging" docker tag $IMAGE:$BUILD_TAG praful1997/$IMAGE:$BUILD_TAG echo "pushhhing image" docker push praful1997/$IMAGE:$BUILD_TAG
true
4c7550671267b17b7d831ef4f021d72534a2d042
Shell
limiao06/DSTC4
/bash_scripts/msiip_nsvc_tracker_prob.sh
UTF-8
1,713
2.53125
3
[]
no_license
# msiip_nsvc_tracker.sh feature iteration # msiip_nsvc_tracker.sh uB 5 set -u logfile=../output/msiip_out/msiip_nsvc_out/msiip_nsvc_${1}_prob_result.txt rm $logfile python ../scripts/dstc_thu/msiip_nsvc_tracker.py --dataset dstc4_dev --dataroot ../data --ontology ../scripts/config/ontology_dstc4.json --model_dir ../ou...
true
e4651a55615d9f8db60fcca3c48af60421e92fab
Shell
daratmonkey/Stool
/pythonify/scapyify.py
UTF-8
293
2.875
3
[]
no_license
#!/bin/bash wget https://www.github.com/secdev/scapy/archive/v2.4.2.tar.gz ID=$(($UID - 3000)) for x in 130 235 1 66; do scp -r v2.4.2.tar.gz root@10.40.$ID.$x: ssh root@10.40.$ID.$x 'tar -zxvf v2.4.2.tar.gz' ssh root@10.40.$ID.$x 'cd scapy-2.4.2;python3 ./setup.py install' done
true
f8563520f7890ba7d93d2a09a10a1601dd420bed
Shell
klausjunker/debian-install
/aptitude/jk0aptitude
UTF-8
632
2.75
3
[]
no_license
#!/bin/bash #----------------------------------------------------------------------------- jklog debianinstall "start: $0 --- " #----------------------------------------------------------------------------- jkecho "install aptitude" jklog debianinstall "0-1: aptitude" apt-get install aptitude -y jkecho "aptitude upd...
true
9ba26f5021b1730dc9ac24069cd3acf85e864027
Shell
SymbIoT-Systems/symbmote
/packaging/avr-344-beta/gcc/build.sh
UTF-8
5,607
3.59375
4
[ "BSD-3-Clause" ]
permissive
#!/bin/bash # # Duplicates what is in tools/platforms/msp430/toolchain* # # BUILD_ROOT is assumed to be the same directory as the build.sh file. # # set TINYOS_ROOT_DIR to the head of the tinyos source tree root. # used to find default PACKAGES_DIR. # # # Env variables used.... # # TINYOS_ROOT_DIR head of the tinyos so...
true
1148e014d035ae93c6b055a58c1a7fe6274174f1
Shell
lunar-linux/lunar
/libs/recovery.lunar
UTF-8
5,125
4.125
4
[]
no_license
#!/bin/bash # # # This code is written for Lunar Linux, see # # http://lunar-linux.org # # # ############################################################ # ...
true
bca5be7729c23a0053c47328549545f382a2fe7f
Shell
EchoQian/PhoebeM
/boot_images/build/ms/build_all.sh
UTF-8
2,536
2.890625
3
[]
no_license
#=============================================================================== # # CBSP Buils system # # General Description # build shell script file. # # Copyright (c) 2013,2014 by QUALCOMM, Incorporated. # All Rights Reserved. # QUALCOMM Proprietary/GTDR # #------------------------------------------------------...
true
c449e4df5b8178781025c9b83b953830e4f48a79
Shell
CoinXu/libuv-example
/docker.sh
UTF-8
189
2.515625
3
[]
no_license
name=libuv WORKSPACE_DIRECTORY=~/github/libuv-example docker run \ --name ${name} -it \ -v ${WORKSPACE_DIRECTORY}:/opt/libuv \ libuv:1.0 bash echo docker stop ${name} && docker rm ${name}
true
09714bcbf3e07eeda9cba8cdcbee5afdc15d7ac2
Shell
xiangjunyu/xiangjunyu
/LVS+DNS/check_dns.sh
GB18030
794
3.234375
3
[]
no_license
#!/bin/bash #Creat By xiangjunyu #version 20170621-1.0 #˷,ע1ûDNS񣬱ϾֻǼudp 53˿ǷDzģҪDNSǷ if [ $port == 53 ];then nslookup checkdns.test.com ${rip}|grep mail.test.com else #ʹncTCP˿Ƿ,keepalivedѾԴTCP⣬Բ nc -z $rip ${port} fi if [ $? -eq 0 ]; then exit 0 #ֵkeepalivedֵΪ0ʱkeepalived֪˼ӦDNS IPRSб else exit 1 ...
true
962ede4055716db7cd7699c6b614a73ebf216e44
Shell
proteinevolution/Toolkit
/tel/runscripts/hhpred.sh
UTF-8
15,814
3.71875
4
[ "Apache-2.0" ]
permissive
SEQ_COUNT=$(egrep '^>' ../params/alignment | wc -l) CHAR_COUNT=$(wc -m < ../params/alignment) A3M_INPUT=$(head -1 ../params/alignment | egrep "^#A3M#" | wc -l) DBJOINED="" LOW_ALN_DEPTH="" #create file in which selected dbs are written touch ../params/dbs if [[ ! -f "../params/alignment_two" ]] ; then #splitting i...
true
dc38c5aff477f71cdf7c6d41c968be5a857510ba
Shell
ASVLeipzig/cor-asv-ann-data-processing
/ground-truth.sh
UTF-8
328
2.734375
3
[]
no_license
#!/bin/bash mkdir -p ground-truth cd ground-truth rm -f IndexGT.html wget http://www.ocr-d.de/sites/all/GTDaten/IndexGT.html for file in $(grep -o '"[^"]*[.]zip"' IndexGT.html | tr -d '"') do test -f $file || wget http://www.ocr-d.de/sites/all/GTDaten/$file done test -d assets || git clone https://github.com/OCR-D/...
true
b0be56e4cf64ebc997f973674fbfb31400ce3e25
Shell
shpp-abelokon/chat
/mychat_v.01
UTF-8
1,754
3.59375
4
[]
no_license
#! /bin/sh ### BEGIN INIT INFO # Provides: skeleton # Required-Start: $remote_fs $syslog # Required-Stop: $remote_fs $syslog # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: Example initscript # Description: This file should be used to construct scripts to be # ...
true
e49402daa1e66bfadf5dbd5e56517565234b01c1
Shell
realtingley/legacy
/newSetup.sh
UTF-8
7,052
3.453125
3
[]
no_license
#!/bin/bash #If possible, add something in for choosing [1] Configure Basics [2] Configure Security [3] Configure VMware Tools [4] Configure All. This might require Perl. #set -x read -p "RUN AS SUDO This script will perform basic configuration, as well as security configuration. Please connect VMware Tools image to i...
true
351fd65bdd0c566dd6fe6240a9deb709fb5ba665
Shell
kdave/xfstests
/tests/btrfs/216
UTF-8
1,182
3.046875
3
[]
no_license
#! /bin/bash # SPDX-License-Identifier: GPL-2.0 # Copyright (c) 2020 Oracle. All Rights Reserved. # # FS QA Test 216 # # Test if the show_devname() returns sprout device instead of seed device. # # Fixed in kernel patch: # btrfs: btrfs_show_devname don't traverse into the seed fsid . ./common/preamble _begin_fstest...
true
0f98a1d7cf64bbd05751dc256053aad554a376d2
Shell
Zlatov/lab
/bash/sql_to_file/select_result_to_text.sh
UTF-8
916
3.296875
3
[]
no_license
#!/bin/bash # Если есть локальный конфиг - подключаем, установим пароль для mysql if [ -f ./config.sh ] then . "./config.sh" export MYSQL_PWD="$DBPASS" else echo 'Локальный конфиг не найден' exit 1 fi if [ ! -f ./1.sql ] then echo Файл 1.sql не найден else if [ -f ./2.html ] then >...
true
f748589935ee6251f592c1897d3ac6818271eb25
Shell
aastaneh/loghist
/loghist
UTF-8
1,678
3.96875
4
[]
no_license
#!/usr/bin/env bash # # Name: loghist # # Purpose: a cli histogram generator for real-time log changes # # Author: Amin Astaneh (amin@aminastaneh.net) # # License Information # # Copyright (C) 2012 # # This program is free software: you can redistribute it and/or modify # it under the terms of the G...
true
e37953fe11cc541005eee7efeec5dd5a67f32324
Shell
yozot/utils
/xtermtitle
UTF-8
451
3.609375
4
[]
no_license
#!/bin/sh ## $Id: xtermtitle,v 1.1 2002/12/05 17:04:16 yozo Exp $ ## xtermtitle: set xterm icon and window title string using escape string. ## see ${X11}/xc/doc/specs/xterm/ctlseqs.ms ## -- yozo. Thu Sep 2 17:32:49 JST 1999 PATH=/usr/bin ## printf is built-in function of csh. if [ $# -eq 1 ]; then string=$1 pri...
true
4de2cc28a81fe20b99e33b369affa33e74d8a23f
Shell
igorecarrasco/covidbot
/bin/deploy.sh
UTF-8
653
2.59375
3
[ "MIT" ]
permissive
#!/bin/bash ################################################## ################################################## # Deployment for cloud function - Covid19Bot # ################################################## ################################################## PROJECT=impostobot pipenv lock -r > ./covidbot/requ...
true
0148dc2cf731f9d36de96899adc5b98d62077dc2
Shell
thohal/openqrm
/trunk/src/plugins/dhcpd/etc/init.d/openqrm-plugin-dhcpd
UTF-8
7,096
3.46875
3
[]
no_license
#!/bin/bash # init script for the openQRM dhcpd plugin # # This file is part of openQRM. # # openQRM is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License version 2 # as published by the Free Software Foundation. # # openQRM is distributed in the hope that it wil...
true
cf7ae22fbf75db1dcfc28f093f174b623a3c9ff7
Shell
cha63506/core-3
/modemmanager/PKGBUILD
UTF-8
1,204
2.921875
3
[]
no_license
pkgname=modemmanager _realname=ModemManager pkgver=1.4.10 pkgrel=1 pkgdesc="Mobile broadband modem management service" arch=('x86_64') url="http://www.freedesktop.org/wiki/Software/ModemManager/" license=('GPL2' 'LGPL2.1') depends=('systemd' 'libgudev' 'polkit' 'ppp' 'python2' 'libqmi' 'libmbim' 'hicolor-icon-theme') m...
true
b7d0ead489b199085d572dd1190eb6d74dbd0837
Shell
OddBloke/qa-scripts
/scripts/jenkins-get
UTF-8
2,607
4.4375
4
[ "Apache-2.0" ]
permissive
#!/bin/bash VERBOSITY=0 TEMP_D="" error() { echo "$@" 1>&2; } fail() { local r=$?; [ $r -eq 0 ] && r=1; failrc "$r" "$@"; } failrc() { local r=$1; shift; [ $# -eq 0 ] || error "$@"; exit $r; } Usage() { cat <<EOF Usage: ${0##*/} [ options ] build-url Download Jenkins artifacts and console from build-url Ex...
true
209c200193a7c1aae66e867eb1529a49d1ceb35a
Shell
rapidsai/xgboost
/tests/buildkite/test-python-cpu.sh
UTF-8
491
2.5625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -euo pipefail echo "--- Test CPU code in Python env" source tests/buildkite/conftest.sh mkdir -pv python-package/dist buildkite-agent artifact download "python-package/dist/*.whl" . --step build-cuda buildkite-agent artifact download "xgboost" . --step build-cpu chmod +x ./xgboost export BUILDKITE_...
true
a052c6555e67eea2ce2de3589c3f9bbf3a0e7890
Shell
macrovo/REL
/.bash_history
UTF-8
6,856
2.6875
3
[ "MIT" ]
permissive
# INITIAL setup apt-get install libomp-dev apt-get install libopenblas-dev apt-get install libomp-dev pip3 install git+https://github.com/informagi/REL pip3 install faiss pip3 install flair pip3 uninstall torch pip3 install torch==1.6 pip3 install wikipedia2vec pip3 install gensim=>3.8.0 -U mkdir ~/rel && cd ~/rel ...
true
47e65cfff5eff9f4850ff66b44e791df013ff42f
Shell
MicroFire33/ssdv2
/prerequis.sh
UTF-8
1,485
3.375
3
[]
no_license
#!/bin/bash ############################################################### if [ "$USER" != "root" ]; then echo "Ce script doit être lancé en sudo ou par root !" exit 1 fi # Absolute path to this script. CURRENT_SCRIPT=$(readlink -f "$0") # Absolute path this script is in. export SCRIPTPATH=$(dirname "$CURRENT_SCRI...
true
115ba543c8704af8812fe37ced436c6cf7f29632
Shell
wangpanqiao/VDR_CHIPEXO
/do_liftover_bed_bdg_cluster.sh
UTF-8
3,396
3.40625
3
[]
no_license
#!/bin/bash #script to do liftover from hg18 to hg19 for multiple bed files #eg /net/isi-backup/giuseppe/scripts/liftOver GM_consensus_slop_1000.bed /net/isi-scratch/giuseppe/GATK_RESOURCES/chain/hg19tob37.chain GM_consensus_slop_1000_liftover19_37.bed unlifted_1000.bed #liftOver - Move annotations from one assembly t...
true
32a3ad3b7a79ceee3d29111526dd8bdd99035d7a
Shell
ianthehenry/httprintf
/scripts/http-handler
UTF-8
1,407
3.921875
4
[ "MIT" ]
permissive
#!/usr/bin/env sh log() { echo "$1" >&2 } tee1() { awk 'NR==1 {print $0 > "/dev/stderr"} {print $0}' } tryinvoke() { if [ -x "$1" ]; then log " $1 $2 $3" "$1" "$2" "$3" | tee1 return 0 else if [ -f "$1" ]; then log " $1 exists but is not executable" fi fi return 1 } paths() { local m...
true
35afb9207e25331c9f2f166e170c7122351f9757
Shell
perfectfoolish/abs
/array-function.sh
UTF-8
2,116
4.625
5
[]
no_license
#!/bin/bash # array-function.sh: Passing an array to a function and ... # "returning" an array from a function Pass_Array () { local passed_array # Local variable! passed_array=( `echo "$1"` ) echo "${passed_array[@]}" # List all the elements of the new array #+ declared and set within ...
true
2e775ecdcf46c0803fe757c35cde598d9b1c80d4
Shell
huyn03/fastinstall
/install.sh
UTF-8
7,085
3.59375
4
[]
no_license
#!/bin/sh _TMPDIR="/usr/tmp" _PATH="https://raw.githubusercontent.com/huyn03/fastinstall/master" function installNotExists(){ $(rpm -q "$packages" | grep -e "not installed" | awk 'BEGIN { FS = " " } ; { printf $2" "}' > list.txt) install=$(cat list.txt) grep -q '[^[:space:]]' < list.txt EMPTY_FILE=$? if [[ $EMPTY...
true
d00a77801116c7d12f0b8584592573efc3862889
Shell
bpmurray/Exactitude
/Exactitude-tools/phase-3-compile.sh
UTF-8
3,598
2.96875
3
[]
no_license
#!/bin/sh ############################################################################## # This is the third phase - compile the files . ../Exactitude-tools/phase-0-settings.sh ############################################################################## # Start the process echo "Phase 3: Configure and compile" ####...
true
e6399ef29449d1a438026973fb953be725341d59
Shell
boakes/BST
/git.sh
UTF-8
265
2.78125
3
[]
no_license
#!/bin/sh cd "$(dirname "$0")" now=$(date +"%D %T") cp ~/Desktop/DataAbstraction/BST\ Map/BSTMap.cpp ~/Desktop/DataAbRepo/BST/ cp ~/Desktop/DataAbstraction/BST\ Map/BSTMap.h ~/Desktop/DataAbRepo/BST/ echo "Finished copy!" git add . git commit -m "$now" git push
true
96c33c32ce80b99eb6bd7819ed57d59df1099bff
Shell
baio/ride-better-ionic-app
/res/gen-screen.sh
UTF-8
1,834
3.21875
3
[]
no_license
#!/bin/bash # Generate PhoneGap icon and splash screens. # Copyright 2013 Tom Vincent <http://tlvince.com/contact> usage() { echo "usage: $0 icon colour [dest_dir]"; exit 1; } [ "$1" ] && [ "$2" ] || usage [ "$3" ] || set "$1" "$2" "." devices=android,bada,bada-wac,blackberry,ios,webos,windows-phone eval mkdir -p "$...
true
13f14b1ecf1287be80293e217daa760b8e1b9e63
Shell
franckh/env_projects
/.bash_profile
UTF-8
538
2.953125
3
[]
no_license
#!/bin/sh echo 'load ~/dev/home/.bash_profile' source ~/.bash/aliases.bash #source ~/.bash/functions source ~/.bash/completions.bash #source ~/.bash/paths #source ~/.bash/config #source ~/.bash/history_config if [ -f ~/.bashrc ]; then . ~/.bashrc fi # Enable RVM #[[ -s $HOME/.rvm/scripts/rvm ]] && source $HOME/.rv...
true
f1aa8f7cb977618f9305d398fa19983de48fce22
Shell
pvinis/Karabiner
/files/extra/startup.sh
UTF-8
668
3.265625
3
[ "Unlicense" ]
permissive
#!/bin/sh PATH=/bin:/sbin:/usr/bin:/usr/sbin; export PATH basedir='/Library/Application Support/org.pqrs/Karabiner' # -------------------- argument="$1" [ -z "$argument" ] && argument=start case "$argument" in start) if [ -f /etc/karabiner_kextload_delay ]; then delay=`ruby -e 'print $stdin.re...
true
b4f1d9736eea0ce8ab1c965f0058532d2587a41c
Shell
marwahaha/multiverse-development
/portal-gun/portals/controller.portals/network.controller.portals/debian9.network.portal/portals/universe.router.portal/packages.sh
UTF-8
573
3.046875
3
[]
no_license
#!/bin/sh # Multiverse OS Script Color Palette header="\e[0;95m" accent="\e[37m" subheader="\e[98m" strong="\e[96m" text="\e[94m" success="\e[92m" reset="\e[0m" echo -e $header"Multiverse OS: Universe Router Package Installer"$reset echo -e $accent"==============================================="$reset echo -e $subp...
true
114c856e5b9bbd998e46f16c09329ff9eb639000
Shell
Stolz/laravel
/bin/stats
UTF-8
420
3.375
3
[]
no_license
#!/bin/bash # get stats about the code source "$( cd "$( dirname "$0" )" && pwd )/common" || exit 1 go_to_laravel_dir command -v cloc >/dev/null 2>&1 || exit_error "'cloc' program not found. Install it from https://github.com/AlDanial/cloc" DIRS='app bin config database resources routes tests' echo color "Code stat...
true
05677d59240b90cd0b7e2377358a987274121b45
Shell
werstatyw/siebel15
/STAGING-ROLES/searchPatternMultiMonForAA/srchPtrn.ksh
UTF-8
8,208
3.796875
4
[]
no_license
#!/usr/bin/ksh # srchPtrn.ksh # Created by Rashid Khan, TSO # Version: 4.0 # Date Created: 24-Nov-2016 # Date Updated: 28-Jun-2017 # Date Updated: 21-Sep-2017 # Date Updated: 13-Dec-2017 - Added Lock file # Date Updated: 19-Jan-2018 - Modified to handle multiple monitors concurrently # # Turn on the debug and...
true
d86910e83e146712e37f9928f0aa0da800be695f
Shell
poxstone/BASH_REPO
/cloudshell/i.sh
UTF-8
1,172
3.65625
4
[]
no_license
#!/bin/bash userDir=$HOME; localDir="/usr/local/nvm"; #localDir="$HOME/.nvm"; # define version node if [ $1 ];then nodeV=$1; else nodeV="8"; fi; # load profile and eviroment vars profile for use in this bash . $localDir/nvm.sh; . $userDir/.profile; # Change node version nvm use $nodeV >> /dev/null; #does not print in ...
true
66666e8357b5659db5a12954c87aca585d815ded
Shell
caileighf/ACBOX
/scripts/debug/echo_help.sh
UTF-8
10,524
3.296875
3
[]
no_license
#!/bin/bash # Prints help messages for ACBOX PRINT_HEADER=true HEADER=$(cat <<-END ------------------------------------------------------ | \033[1mHelp Message for the Acoustic Data Acquisition Box\033[0m | ------------------------------------------------------ END ) DEBUG_HELP=$(cat <<-END \033[1mDE...
true
71ade15b803819ef2bf3b9dd76388372db10963c
Shell
wxart/tfstair
/docker-entrypoint.sh
UTF-8
611
3.078125
3
[]
no_license
#!/bin/sh LOCAL_IP=$(hostname -i) if [ "$1" == "tair" ]; then sed -i "s/192.168.1.1/${LOCAL_IP}/g" /usr/local/tair/etc/*.conf /usr/local/tair/tair.sh start_ds && /usr/local/tair/tair.sh start_cs tail -200f /usr/local/tair/logs/server.log elif [ "$1" = "tfs" ]; then sed -i "s/172.17.0.2/${LOCAL_IP}/...
true
8e87cd1014c1a670c3f2c9510bab5d696b928afc
Shell
mathandy/esesc-project
/run_tinydnn.sh
UTF-8
1,188
3.265625
3
[]
no_license
#!/bin/bash # USAGE: ./run_benchmark.sh <benchmark_name> <esesc_config_file> <simulation_config_file> <run_name> <log_path> # e.g. ./run_benchmark.sh spec06_hmmer ~/Dropbox/esesc-lab/esesc.conf ~/Dropbox/esesc-lab/simu.conf testeroo ~/Dropbox/esesc-lab/test_results.txt # esesc parameters esesc_dir=~/build/release benc...
true
bd7b331f17e8dddcee12c5394c4fc9f24aeed4bb
Shell
jameshilliard/tyg-bitcoin
/sw/usefull-stuff/titan_scanminers
UTF-8
224
2.6875
3
[]
no_license
#!/bin/bash if [ ! "$1" == "" ] ; then F2=$1 fi IPFILE=/home/remo/scans/TITAN-IPS-81s F1=`mktemp` /home/remo/miner_scripts/createdetected_slow ${IPFILE} ${F1} sleep 33 /home/remo/miner_scripts/perform_scan.sh ${F1} ${F2}
true
8f8230bcae78ac17c6590a00ffec1f9192c89e37
Shell
ErikZhou/scrape_twitter
/tw.sh
UTF-8
413
3.015625
3
[]
no_license
#!/bin/bash #先载入环境变量 source /etc/profile #其他代码不变 processcount=$(pgrep tw.py|wc -l) cd $(cd $(dirname $0) && pwd) if [[ 0 -eq $processcount ]] then echo "[ $(date) ] : tw.py is down, start it!" | tee -ai ./checkprocess.log #bash ./start.sh #这里是项目的重启脚本 python3 /home/rslsync/vps/scrape_twitter/tw....
true
52de64a1dc6fc512e6d3ce9742f2e190583f61ba
Shell
framiere/dotfiles
/bin/register-java.sh
UTF-8
496
3.78125
4
[]
no_license
#!/bin/bash JAVA_FOLDER=~/java JENV_HOME=~/.jenv JENV=$(brew --prefix)/bin/jenv RED='\x1B[0;31m' GREEN='\x1B[0;32m' NC='\x1B[0m' # No Color unregister-java.sh cd ${JAVA_FOLDER} for file in jdk*; do if [ -f ${file}/bin/java ]; then echo Register ${file} ${JENV} add $file $file > /dev/null 2>&1 INSTALLED=$(${...
true
0a9ced80d9988102a1ba95342aea7f31dcaa6165
Shell
rodriguezmDNA/rnaseqScripts
/Scripts/03a_makeBowtieIndex.sh
UTF-8
7,669
4.21875
4
[]
no_license
#!/bin/bash # j rodriguez medina # Brady lab @ ucdavis # Bowtie mapping # Last modified # 2017.10.jrm # !!!!!!!!!!!!!!!!!!!!!!!!!! # Don't use masked genomes ## Bowtie 2's command-line arguments and genome index format are both different from Bowtie 1's. ## When to use bowtie1 or bowtie2? # If reads are >50bp, use ...
true
0c30c6eafc75de69293c0abe73e7b5720bbdffa0
Shell
cc-archive/mozcc
/build.sh
UTF-8
336
2.625
3
[]
no_license
#! /bin/sh # Bundle Build Script for MozCC # (c) 2007, Nathan R. Yergler, Creative Commons # Licensed to the public; see LICENSE for details # create XPI files for individual pieces cd metacore zip -r ../metacore.xpi * cd .. cd mozcc-ui zip -r ../mozcc-ui.xpi * cd .. # create the bundle zip -r mozcc.xpi install.rdf...
true
e5a925689737a749a1d6e76865b924092401132c
Shell
Brzhk/jenkins
/buildscripts/releaseSupportedAlpineImages.sh
UTF-8
974
3.65625
4
[ "MIT" ]
permissive
#!/bin/bash -x set -o errexit # abort script at first error # Setting environment variables readonly CUR_DIR=$(cd $(dirname ${BASH_SOURCE:-$0}); pwd) printf '%b\n' ":: Reading release config...." source ${CUR_DIR}/release.sh readonly PUSH_REPOSITORY=$1 readonly PUSH_JENKINS_VERSION=${JENKINS_VERSION} readonly PU...
true
d0b695a37e5ffd6d1900e8284a60c97b3caf5981
Shell
annonymouse/zfs-ubuntu-bootstrap
/bootstrap.sh
UTF-8
399
3.15625
3
[]
no_license
#!/bin/sh set -e if [ `id -u` != "0" ] ; then echo "Need to run as root privlege" exit 2 fi apt-add-repository --yes ppa:zfs-native/stable apt-get update apt-get install --yes debootstrap spl-dkms zfs-dkms ubuntu-zfs modprobe zfs set +e dmesg | grep ZFS if [ $? -ne 0 ] ; then echo "ZFS did not load correc...
true
59ee0cfae3899729c164cc3ce54a62e676baa5d2
Shell
umm-csci-3412-fall-2021/lab-0-command-line-intro-uno
/compiling/extract_and_compile.sh
UTF-8
860
3.84375
4
[ "MIT" ]
permissive
#!/usr/bin/bash # sysinfo_page - This script extracts and compiles a C program known as "NthPrime." prime=$1 #This variable takes in the prime that NthPrime will use to find the correct Nth prime. tar -x -z -f NthPrime.tgz #Meanwhile, this command extracts the tar file with respect to a gunzipped format, along with ...
true
a64bb63ca4054111cc584e4256597a062a575704
Shell
DanAnkers/crankcase
/cartridges/python-2.6/info/bin/app_ctl.sh
UTF-8
317
2.671875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash source "/etc/stickshift/stickshift-node.conf" source ${CARTRIDGE_BASE_PATH}/abstract/info/lib/util # Import Environment Variables for f in ~/.env/* do . $f done export APPDIR="${OPENSHIFT_GEAR_DIR}" # Federate call to abstract httpd. ${CARTRIDGE_BASE_PATH}/abstract-httpd/info/bin/app_ctl.sh "$@"
true
f67d2ffbe341703bd72bca20e71f6608e3551642
Shell
afreeorange/dotfiles
/.config/bash/conf.d/10-options.sh
UTF-8
327
2.953125
3
[]
no_license
#!/bin/bash # Autocorrect typos in path names when using `cd` shopt -s cdspell # Update LINES and COLUMNS on screen resize shopt -s checkwinsize # For history; force commands to fit on one line shopt -s cmdhist # Append to history instead of overwriting shopt -s histappend # Case-insensitive globbing shopt -s noca...
true
f5e689cedb8f8c52ad1682a86aa27a196b4166cf
Shell
JakeSeib/mbta_departures
/scripts/install_dependencies.sh
UTF-8
621
2.859375
3
[]
no_license
#!/bin/bash # EXPORT LANGUAGES source /etc/profile.d/lang.sh export LANG='en_US.UTF-8' export LC_ALL='en_US.UTF-8' # INSTALL DEPENDENCIES yum install -y zlib-devel epel-release python38 python38-devel mysql-devel httpd-devel yum -y groupinstall development yum update -y # COPY VirtualHost CONF cp /var/www/basic_app/...
true
e5c53873f17680e2841afb7c2508462ecb7b9da6
Shell
ImperadorSid/ubuntu-setup
/linux.sh
UTF-8
1,021
3.15625
3
[]
no_license
#!/usr/bin/env bash # Softwares echo 'Instalando pacotes do usuário' sudo apt install -y $(cat packages/user.txt) # Snaps echo 'Instalando snaps' sudo snap install $(cat packages/snaps-user.txt) sudo snap install --beta authy # Unused softwares echo 'Removendo pacotes não utilizados' sudo apt purge -y $(cat packages...
true
1fae04d9f5bf130b1d2b657dad5a4a6ce5a37ecb
Shell
VisaTM/termsuite-docker-galaxy
/TermSuiteWrapper.sh
UTF-8
6,460
3.609375
4
[]
no_license
#!/usr/bin/env bash prog=`basename $0` subs=`echo -n $prog | perl -C7 -pe 's/./\x{00A0}/go;'` USAGE=" \n" USAGE+="Usage: $prog -d directory -f file -l (en|fr) -o output [ -t (json|tsv) ] \n" USAGE+="       $subs [ -x memory ] [ -a option ]\n" USAGE+="       $prog -h " # USAGE="$part1$part2$part3" help=0 indice=0 ts=...
true
486ece8c4ed4bf428f93782d6c70bc26a6d5aa08
Shell
errcricket/Assembly_Pipeline
/ls_bsr/transcriptomics/make_plots.sh
UTF-8
1,122
2.671875
3
[]
no_license
#!/bin/bash function alter_headers { for file in gene_candidates/B201_DL3Z3_aa.fasta gene_candidates/B241_DL3Z3_aa.fasta gene_candidates/B201_DL3Z3_nt.fasta gene_candidates/B241_DL3Z3_nt.fasta gene_candidates/B201_UL3Z3_aa.fasta gene_candidates/B241_UL3Z3_aa.fasta gene_candidates/B201_UL3Z3_nt.fasta gene_candidat...
true
9b02289344136c129f16002dac0f4de5f8c4aac5
Shell
johngodlee/miombo_tls
/src/ptx_split.sh
UTF-8
604
3.984375
4
[]
no_license
#!/usr/bin/env sh if [ $# -ne 2 ]; then printf "Must supply two arguments:\n [1] input.ptx\n [2] output dir\n" exit 1 fi # Get lines at which to split lines=$(rg -n --no-encoding -M 10 "^[0-9]+\s+?$" $1 | sed 's/:.*//g' | awk 'NR%2!=0' | tr '\n' ' ' | sed 's/^[0-9]\s//g') # Get name of file without e...
true
e350d70ce34555b396ca508431dd18d36d0780a2
Shell
JRasmusBm/dotfiles
/bin/my-tmux
UTF-8
559
3.640625
4
[]
no_license
#!/bin/zsh set -e if command -v emulate &> /dev/null; then emulate -L zsh fi # Make sure even pre-existing tmux sessions use the latest SSH_AUTH_SOCK. # (Inspired by: https://gist.github.com/lann/6771001) local SOCK_SYMLINK=~/.ssh/ssh_auth_sock if [ -r "$SSH_AUTH_SOCK" -a ! -L "$SSH_AUTH_SOCK" ]; then ln -sf "$S...
true
104ef9ffcf3df99e0e81b4e2cab0efcde876fd83
Shell
engelfrost/generator-diversity-component
/app/templates/base/create_pot_and_po_files.sh
UTF-8
3,076
4.15625
4
[ "MIT" ]
permissive
#!/bin/bash # Put this script in the PARENT DIR of your component, then run: # sh create_pot_and_po_files.sh my-component-name # To run on all components in a directory, run: # find . -maxdepth 1 -mindepth 1 -type d -exec sh create_pot_and_po_files.sh {} \; ROOT="$1" COMPONENTNAME=${1##*/} # Make sure the repo is...
true
5abe26e615dd2bada75569de137d4346b503efc3
Shell
daiyun/SwordGateway
/gateway-server/boot/src/scripts/start.sh
UTF-8
1,263
3.515625
4
[]
no_license
#!/bin/bash cd `dirname $0` BIN_DIR=`pwd` cd .. DEPLOY_DIR=`pwd` CONF_DIR=$DEPLOY_DIR/conf # 查找所有的配置文件,为下面的属性赋值,如果这些属性有冲突,可能会覆盖。maven archetype不能覆盖sh文件,因为有很多字符会转换错误 SERVER_NAME=`hostname` LOGS_DIR=$DEPLOY_DIR/logs PIDS=`ps -ef | grep java | grep -v grep | grep "$CONF_DIR" |awk '{print $2}'` if [ -n "$PIDS" ]; then ...
true
f048b43e77a384eaf11dfc3263f64f817b7fee24
Shell
Puqiyuan/Bash-Script-Program
/Convert.sh
UTF-8
404
3.046875
3
[]
no_license
#!/bin/bash DIR=nice if [ ! -d "$DIR" ]; then mkdir nice for file in *.nas *c *.txt *.h; do iconv -f SHIFT-JIS -t UTF-8 $file > $file.nice done mv *.nice nice cd nice for file in *.nice; do mv "$file" "${file%?????}" done rename 'y/A-Z/a-z/' * for x in *.nas; do mv "$x" "${x%...
true
6b18b577bbd07d24d1b3211dc3275dbcde652c62
Shell
pld-linux/hhvm
/hhvm-fcgi.init
UTF-8
3,154
3.96875
4
[]
no_license
#!/bin/sh # # hhvm-fcgi -- startup script for HHVM FastCGI # # chkconfig: 345 80 20 # # description: Starts The HHVM FastCGI Daemon # processname: hhvm-fcgi # config: /etc/hhvm/server.hdf # pidfile: /var/run/hhvm/hhvm-fcgi.pid # # Source function library . /etc/rc.d/init.d/functions # Get network config . /etc/sysco...
true
9f2a0842462458dc2fa59ac63313c7052b37d66b
Shell
lokialone/protojs
/shell/passwordManager/test.sh
UTF-8
862
3.5
4
[]
no_license
#!/bin/zsh # author: lokialone # 密码文件所在位置 filename='/Users/lokalone/record/work/password' list=() res=() # zsh数组下标从1开始。。。 i=1 function diskspace { clear df -k } function getContentFormFile { while read line do list[${i}]=`echo ${line} | awk -F":" '{print $1}'` res[${i}]=$line (( ++i ...
true
aa8e4930b93bb2a735e7b6f4c3e1a4d3ae80eadb
Shell
mskcc/pipeline-kickoff
/src/integration-test/resources/scripts/integrationTest.sh
UTF-8
7,164
3.5625
4
[]
no_license
#!/bin/bash source "${BASH_SOURCE%/*}/utils.sh" arguments=("noArg" "-exome") #arguments=("noArg" "-noPortal" "-f" "-exome" "-s") init() { jdk8=~/jdk java8="${jdk8}/bin/java" cd "${BASH_SOURCE%/*}" cd "../../../../.." echo "Project directory: ${projectDir}" pwd testDir="$(pwd)/test" echo "Cl...
true
9995cbf427849b27aaf1faeed70ec2216555253f
Shell
CCI-MOC/openshift-acct-mgt
/tools/crc/deploy.sh
UTF-8
1,067
3.34375
3
[]
no_license
# Build and Deploy openshift-acct-mgt on CRC # # Requires prior `oc login` and running from root of repo. # # Deployment will be done in namespace named `onboarding`. # To deploy to a different namespace, change the name in `project.yaml` # and variable `NAMESPACE`. set -e if [ "$(uname)" == "Darwin" ]; then CMD="d...
true
97d033500df05a1b4eb42def14dd66878f91dc93
Shell
notalentgeek/pedge
/script/raspbian_jessie/lirc.sh
UTF-8
3,247
3.34375
3
[]
no_license
#!/bin/bash # Change directory to `/home/pi`. cd /home/pi && # Update, upgrade, and install packages. # Update and upgrade packages. yes | sudo DEBIAN_FRONTEND=noninteractive apt-get -yq update && yes | sudo DEBIAN_FRONTEND=noninteractive apt-get -yq upgrade && # Install packages. yes | sudo DEBIAN_FRONTEND=nonintera...
true
478896f68c87daa1c4d7635a742dfe46c881244f
Shell
s23870-pj-Patryk-Literski/sop2020-21_25c
/s18504/lab3/cwicz2/zad5.sh
UTF-8
127
2.703125
3
[]
no_license
#!/bin/bash input=($@) for ((i=0; i<$#; i++)) do cat ${input[$i]}; done for ((i=$#-1; i>=0; i--)) do cat ${input[$i]}; done
true
3b50bb41b4692c84f5a0b1846bde0bff410651c1
Shell
olayad/bash-bootcamp
/localusers/luser-demo08.sh
UTF-8
918
3.9375
4
[]
no_license
#!/bin/bash # This script demonstrate I/O redirection. # Redirect STDOUT to a file FILE="/tmp/data" head -n1 /etc/passwd > ${FILE} # Redirect STDIN to a program echo read LINE < ${FILE} echo "Contents of line: ${LINE}" # Redirct STDOUT to a file, appending to the file echo echo "${RANDOM} ${RANDOM}" >> ${FILE} echo...
true
b8f71ca8a4cffe5e2ea559b94feef2606671dd04
Shell
zxxzxxxxz/reversi_nn
/loop.sh
UTF-8
454
2.578125
3
[]
no_license
#!/bin/bash -eu X_TRAIN_PATH="$HOME/.reversi_nn/x_train.npy" Y_TRAIN_PATH="$HOME/.reversi_nn/y_train.npy" X_TEST_PATH="$HOME/.reversi_nn/x_test.npy" Y_TEST_PATH="$HOME/.reversi_nn/y_test.npy" MODEL_PATH="$HOME/.reversi_nn/model.h5" python3 generate_testdata.py $X_TEST_PATH $Y_TEST_PATH while true do python3 genera...
true
78b1da39d7b976a72f0db4721fc9e2935aab8875
Shell
levilelis/psvn
/chen/astar/hanoi_astar_pred.sh
UTF-8
645
2.859375
3
[ "MIT" ]
permissive
#!/bin/bash # Set the limit to ~2 GB ulimit -v 6000000 #set the time limit to one hour #ulimit -t 600 # Path to which the results will be added RESULTS=resultshash_multipleprobes/hanoi OUTPUT=a_star_hanoi_4p_12d_1000_abst_1_2 for PROBES in 100; do for META_PROBES in 1000 2000 3000 10000; do printf ${PROBES}" "${...
true
cdbee80cfeebf88043799145dd9a3ca496213427
Shell
delkyd/alfheim_linux-PKGBUILDS
/vault-ssh-helper/PKGBUILD
UTF-8
1,108
2.828125
3
[]
no_license
# Maintainer: Adrián Pérez de Castro <aperez@igalia.com> pkgname='vault-ssh-helper' pkgdesc='Allows using OTP authentication generated by a Vault server' pkgver='0.1.3' pkgrel='1' url='https://github.com/hashicorp/vault-ssh-helper/' arch=('x86_64' 'i686') license=('MPL') makedepends=('go') depends=('glibc') source=("${...
true
7eaa8786be7c752300f33acb60dc516aab178fdb
Shell
angular-hispano/angular
/aio/scripts/deploy-to-firebase.test.sh
UTF-8
3,358
3.265625
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set +x -eu -o pipefail readonly deployToFirebaseDryRun="`dirname $0`/deploy-to-firebase.sh --dry-run" function check { if [[ $1 == $2 ]]; then echo Pass exit 0 fi echo Fail echo ---- Expected ---- echo "$2" echo ---- Actual ---- echo "$1" exit 1 } ( echo ===== master -...
true
b730eab588b68e3859503975402ddd90ae1b1eb2
Shell
SNL-GMS/GMS-PI7-OPEN
/docker-tree/centos7/openjdk9/nifi/scripts/nifi_health_check.sh
UTF-8
1,263
4.0625
4
[ "LicenseRef-scancode-free-unknown", "BSD-3-Clause" ]
permissive
#!/bin/bash set -x # # Description: Validates all clustered NiFi nodes are connected then exit # # HTTP or HTTPS NIFI_PROTOCOL=$1 # Hostname of NiFi node NIFI_HOST=$2 # Nifi WebUI Port NIFI_PORT=$3 # Validate parameteres are passed in if [ -z ${NIFI_PROTOCOL} ] || [ -z ${NIFI_HOST} ] || [ -z ${NIFI_PORT} ]; then...
true
11a99a46de360b5a409dc61f12c6cc442a9fb621
Shell
lenik/stack
/plover/repr/plover-restful/j
UTF-8
61
2.609375
3
[]
no_license
#!/bin/bash a=1 if true; then a=3 fi > >( a=4 ) echo $a
true
2b6a3e7581bb50bb4daa13908ea11a2a9939146e
Shell
chowie/dotfiles
/bin/mtapp2
UTF-8
914
3.15625
3
[]
no_license
#!/bin/bash APP=$1 DATE=`date +%Y-%m-%d` LOGFILE="${APP}-${DATE}.log" REMOTE_DIR=/usr/local2/applogs/laravel LOCAL_DIR=/var/www/${APP}/storage/logs LOGLEVELS_TOP='ERROR' LOGLEVELS_BOTTOM='INFO|DEBUG|LOGIN|NOTICE|WARNING' if [ "$2" == "local" ] then FULL_LOGFILE="${LOCAL_DIR}/${LOGFILE}" else FULL_LOGFILE="${R...
true
a1806fe887258be83d94946cc8050411cb03ca13
Shell
YasinEnigma/Scripts
/install-dart.sh
UTF-8
730
2.671875
3
[]
no_license
# Update package repo listings sudo apt-get update # Enable access to repos using the HTTPS protocol sudo apt-get install apt-transport-https # Add Google linux sign in key to allow Dart repo registry sudo sh -c 'curl https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add -' # Register Dart repo (releas...
true
3b3c8c8502e5bb16ec392f6043d5b1bf9d17b838
Shell
MEHColeman/empty_rails_project
/bin/create
UTF-8
1,779
2.78125
3
[ "MIT" ]
permissive
#!/bin/sh # Exit if any subcommand fails set -e # Set up Ruby dependencies and Rails bundle update bundle exec rails new --force . # Create new, blank README template mv README.md.template README.md # append extra onto the rails-generated gitignore cat gitignore.dotfile >> .gitignore cat Gemfile.append >> Gemfile ...
true
a5baf78cbbc047a3dfb0c8c216d0ce128bddbe1f
Shell
adeben1/killifish-aging-brain
/RNA_diferenciales/STAR_mapear_lecturas_RNAseq.sh
UTF-8
1,186
3.234375
3
[]
no_license
#!/bin/bash # Instructions: # 1. Create a folder run/ containing folders whose names are descriptive of each sample. # 2. Each sub-folder must contain one/two (single/paired end) fq.gz. # 3. Resulting files will appear in each of these sub-folders. #SBATCH -J STAR #SBATCH -N 1 threads=6 #SBATCH -n $threads ## ...
true
e7128a8916e1ff6c874bbd993b2fcf3ed242ca5d
Shell
hvolschenk/git-gt
/lib/de/gt-de.sh
UTF-8
296
3.359375
3
[ "Apache-2.0" ]
permissive
deleteString='-d' if [ -z ${variables[0]} ]; then echo 'Please select a branch to delete: gt de <...branch>' exit 1; fi if [ $flagForceDelete = true ]; then deleteString='-D' fi for deleteBranch in ${variables[@]}; do git branch $deleteString $deleteBranch done unset -v deleteString
true
0a936e78062868f96e94eee119be7e0f423817ef
Shell
squareweave/dockerized-drupal-composer
/8.4/fpm/node/app/scripts/at-boot.sh
UTF-8
1,092
3.1875
3
[]
no_license
#!/bin/bash -e if [ -n $MEMORY_LIMIT ] then echo "Setting PHP memory limit to ${MEMORY_LIMIT}" echo "memory_limit = ${MEMORY_LIMIT}" > /usr/local/etc/php/conf.d/resources.ini fi : ${DEVELOPMENT_MODE:-false} if [ "$DEVELOPMENT_MODE" == "true" ] then echo "!!! RUNNING IN DEVELOPMENT MODE -- PERMISSIONS WIL...
true
1fdaa0296621d8c79e7021c00664e4d29caf7623
Shell
parayiv/noStarch
/16_unrm.sh
UTF-8
2,442
4.46875
4
[]
no_license
#!/bin/sh # unrm - Searches the deleted files archive for the specified file or directory. # If there is more than one matching result, shows a list of the results, # ordered by timestamp, and lets the user specify which one to restore. mydir="$HOME/.deleted-files" realrm="/bin/rm.old" move="/bin/mv" dest=$(pwd) if ...
true
972661d9d8c3bc117ef8824f843218f1eeb0b565
Shell
BloodyMods/ServerStarter
/src/main/resources/startserver.sh
UTF-8
1,775
3.890625
4
[ "MIT" ]
permissive
#!/bin/bash # `-d64` option was removed in Java 10, this handles these versions accordingly JAVA_FLAGS="" if (( $(java -version 2>&1 | head -1 | cut -d'"' -f2 | sed '/^1\./s///' | cut -d'.' -f1) < 10 )); then JAVA_FLAGS="-d64" fi DO_RAMDISK=0 if [[ $(cat server-setup-config.yaml | grep 'ramDisk:' | awk 'BEGIN {FS...
true
24afe12d7c1eb65bf03ff8737cb843b102152fac
Shell
DiegoBMarin/agendapp-front
/aggendAppScript.sh
UTF-8
369
2.546875
3
[]
no_license
#!/bin/bash echo "settings server" echo "Purging Nodejs" sudo apt purge nodejs -y sudo apt autoremove -y echo "install curl" sudo apt-get install curl -y echo "install Node JS" curl -sL https://deb.nodesource.com/setup_14.x | sudo -E bash - sudo apt-get install nodejs -y echo "install pm2" sudo npm install pm2 -g ...
true
3a2491bb0d51dafff09131972bdc24345ba4c317
Shell
easaemad14/otw_wargames
/natas/natas16.sh
UTF-8
767
3.59375
4
[]
no_license
#!/bin/bash PASSWORD="" TMP_FILE="temp.log" TEST_STR="hackers" OPTS="-s -u natas16:WaIHEacj63wnNIBROHeqi3p9t0m5nhmh" DATA='needle=' PASS_FILE='/etc/natas_webpass/natas17' URL="natas16.natas.labs.overthewire.org" # We can probably assume the password is 32 bytes long # This is the length of the rest of our passwords ...
true
ffd06c624999c61a6fc1d36d5d63194d47c75767
Shell
kordless/stackmonkey
/openstack_provision.sh
UTF-8
1,555
3.3125
3
[ "MIT" ]
permissive
#!/bin/bash # disable that stupid locale error sed '/SendEnv LANG LC_*/d' /etc/ssh/ssh_config > /tmp/ssh_config.tmp cp /tmp/ssh_config.tmp /etc/ssh/ssh_config # install git and curl apt-get -y install git; apt-get -y install curl; # checkout scripts again to the chef server and copy config file over git clone http...
true